Bug 1141528 (mnemo) - Review Request: php-horde-mnemo - A web based notes manager
Summary: Review Request: php-horde-mnemo - A web based notes manager
Keywords:
Status: CLOSED ERRATA
Alias: mnemo
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: Horde_Pdf
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-14 12:55 UTC by Remi Collet
Modified: 2014-12-26 19:52 UTC (History)
2 users (show)

Fixed In Version: php-horde-mnemo-4.2.3-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-20 08:33:26 UTC
shawn: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo.log (21.57 KB, text/plain)
2014-12-07 18:48 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (10.00 KB, text/plain)
2014-12-07 18:49 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2014-09-14 12:55:33 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/bb20338bdbe1676139a90d2c8dbc7eff7ded7f78/php/horde/php-horde-mnemo/php-horde-mnemo.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-mnemo-4.2.1-1.remi.src.rpm
Description: 
The Mnemo Note Manager is the Horde notes/memos application. It allows
users to keep web-based notes and freeform text. Notes may be shared with
other users via shared notepads. It requires the Horde Application
Framework and an SQL database or Kolab server for backend storage.


Fedora Account System Username: remi

Comment 3 Shawn Iwinski 2014-12-07 18:48:37 UTC
Created attachment 965619 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0

Comment 4 Shawn Iwinski 2014-12-07 18:49:49 UTC
Created attachment 965620 [details]
fedora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1141528
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Shawn Iwinski 2014-12-07 18:51:24 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

     W: conffile-without-noreplace-flag /etc/horde/mnemo/conf.xml
     %attr(0660,apache,apache) %config %{_sysconfdir}/horde/%{pear_name}/*.xml

     Since the permission of this config file is 0660 instead of 0640, it
     implies that this file can be edited by end-users.  However, without
     "%config(noreplace)" end-users' edits would be lost.

Just a warning, but you may want to address this.



No blockers.



===== APPROVED =====

Comment 6 Remi Collet 2014-12-08 05:57:02 UTC
Thanks again!

The xml file is not config file, but reference file used to generate the real config (*.php). I will fix the perm.

New Package SCM Request
=======================
Package Name: php-horde-mnemo
Short Description: A web based notes manager
Upstream URL: http://www.horde.org/apps/mnemo
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-12-08 13:50:11 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-12-08 18:06:04 UTC
php-horde-mnemo-4.2.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-horde-mnemo-4.2.3-1.el7

Comment 9 Fedora Update System 2014-12-08 18:06:10 UTC
php-horde-mnemo-4.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-mnemo-4.2.3-1.el6

Comment 10 Fedora Update System 2014-12-08 18:07:19 UTC
php-horde-mnemo-4.2.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-horde-mnemo-4.2.3-1.fc21

Comment 11 Fedora Update System 2014-12-08 18:07:27 UTC
php-horde-mnemo-4.2.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-mnemo-4.2.3-1.fc20

Comment 12 Fedora Update System 2014-12-11 06:29:11 UTC
php-horde-mnemo-4.2.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 13 Fedora Update System 2014-12-20 08:33:26 UTC
php-horde-mnemo-4.2.3-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2014-12-20 08:40:29 UTC
php-horde-mnemo-4.2.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2014-12-26 19:48:31 UTC
php-horde-mnemo-4.2.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2014-12-26 19:52:11 UTC
php-horde-mnemo-4.2.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.